Add permision to view issue based on project roles
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

The problem is if developers (role developers) want to create an internal issue (i.e. some implementation problems)

and this issue should not be visible to testers (role testers) which are creating issues viewable for everyone (i.e

application hang up, etc)

So the basic solution is to add list with roles in role permision tab:

"Can view issues created by:" [roles list]

Then tasters could only view issues created by themselves and developers could view issues created by developers and

by testers.

Other solution is to simple add ticker "Internal" in creating new issues tab, and then other ticker "View

internal issues" in role permission tab.

History

#1 - 2007-11-21 02:18 - jesse keys

'Internal' ticker would be really useful. Should also apply to

wiki pages. I miss that feature because right now I have to create

sub projects to separate admins and developers where admins need

access e.g. to some passwords in the wiki where the developers

shouldn't.

#2 - 2007-12-31 06:58 - Joerg Hampel

I'd also very much appreciate such a feature.

Thanks in advance,

Joerg

#3 - 2008-05-12 18:56 - gabriel scolan

see also #285

#4 - 2009-02-27 16:09 - Jean-Philippe Lang

- Category set to Issues permissions

#5 - 2010-08-21 21:40 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Wont fix

It would add much complexity to the permission model, and it would be useless to 99% users. I think it could be implemented as a plugin, or maybe

you can use subprojects+move issues to limit visibility to some groups/roles.

I close this one, let us know if you want to re-discuss the use-cases.
